WP Page Widget

Description

This made the widget selection much easier. With this plugin activated we can select widgets to show specifically for one page / post / or custom post type.
Always note to use it with a sidebar enabled theme.

FAQ

Do I need a specific theme to use this plugin?

Every widgets enabled themes can use it.

How could I set specific widgets on a page?

In post/page/custom post type edit screen, choose “Customize”. And then drag / drop widgets on right side, then configure them.

How do I disable my changes and use settings from Appearance->Widgets?

In post/page/custom post type edit screen, choose “Default”.

How do I change settings for each category or taxonomy

The interface is integrated to category/taxonomy editing screen just like you edit post page.

Reviews

Perfect.

digitalmediaperth

This plugin is awesome, can be used as a lightweight page-builder. Perfect for creating widgetized page layouts without bloat like most page builder type plugins.

Read all 19 reviews

Changelog

3.2 (2016-08-13)

  • Fix compatibility with Advanced Custom Fields plugin when Relationship available

3.1 (2016-07-01)

  • Fix compatible with Genesis Widget Column Classes plugin

3.0 (2016-04-26)

  • Fix compatible with WordPress 4.5

2.9 (2016-01-25)

  • Fix compatible with Easy Related Posts

2.8 (2015-09-11)

  • Fix security exploit

2.7 (2015-06-18)

  • Fix bug drag & drop sortable.

2.6 (2014-11-26)

  • Compatibility with WP 4.0.1, compatible with Yoast WordPress SEO plugin.

2.5 (2014-06-20)

  • Add support for Add Widget button on Text Widget

2.4 (2014-05-16)

  • Multi languages support. Added Dutch language pack – thanks to Roy Janssen

2.3 (2014-03-27)

  • Compatibility with WP 3.8.1, compatible with NextGen, fix width when customizing

2.2 (2013-12-26)

  • Compatibility with WP 3.8

2.1 (2013-09-23)

  • Compatibility with WP 3.6.1

2.0 (2013-03-04)

  • Compatibility with Image Widget plugin.

1.9 (2012-12-17)

  • Compatibility with WordPress 3.5

1.8 (2012-11-10)

  • Compatibility with Black Studio TinyMCE Widget plugin, make sure no errors with PHP 5.4 when upgrade

1.7 (2012-09-19)

  • Compatibility with Flexi page widget, Custom Post Widget plugin.

1.6 (2012-02-03)

  • Add several more features: search, blog, category, taxonomy configurable pages.

1.5 (2012-02-03)

  • Compatibility with WP custom field list widget plugin

1.4 (2012-02-03)

  • Compatibility with WP 3.3.1

1.3 (2011-09-20)

  • Compatibility with image dialog plugin

1.2 (2011-08-24)

  • Compatibility with custom post type

1.1 (2011-04-19)

  • Fix widget saving bug

1.0 (2011-01-27)

  • Start presenting to community

Contributors & Developers

This is open source software. The following people have contributed to this plugin.

Contributors

Browse the code